server:
  http:
    addr: 0.0.0.0:13000
    timeout: 30s
    isOpenSwagger: true #是否开启api文档，仅用于开发、测试，线上禁止启用
    isResponseReqHeaders: true #是否开启响应请求头，仅用于开发调试，线上禁止启用

data:
  db:
    driver: mysql
    source: root:lansexiongdi6,@tcp(47.97.27.195:3306)/voucher?parseTime=True&loc=Local
    maxIdle: 200 #最大的空闲连接数
    maxOpen: 1000 #最大连接数，0表示不受限制
    maxLifetime: 300s #连接复用的最大生命周期
    isDebug: false
  redis: #没有则注释此属性
    addr: 47.97.27.195:6379
    password: lansexiongdi@666
    readTimeout: 5s
    writeTimeout: 5s
    poolSize: 200 #连接池大小，不配置，或配置为0表示不启用连接池
    minIdleConns: 50 #最小空闲连接数
    connMaxIdleTime: 60s #每个连接最大空闲时间，如果超过了这个时间会被关闭
    db: 3

rocketMQ:
  addr: "http://rmq-cn-nwy3fn4ex09.cn-chengdu.rmq.aliyuncs.com:8080"
  accessKey: "Qecl4cea2IAZPKoD"
  secretKey: "Z3596KCFA9RAUR6k"
  secretToken: ""
  eventMap:
    notifyRetry: # 重试延迟队列
      topic: voucher_order_notifyRetry
      group: voucher_order_notifyRetry_group
      isOpenConsumer: true #是否启动消费 true/false
      PerCoroutineCnt: 2 #协程数量，不配置默认为20
      RetryCnt: 3 #重试次数,不配置默认38

wechatNotifyMQ:
  accessKeyId: "LTAI5tPyV7FynQNTfEvbEBuX"
  accessKeySecret: "tZmTh8cV98xAQgtlRU0soWcb6Tpd4T"
  endPoint: "http://1389288909295870.mqrest.cn-hangzhou.aliyuncs.com"
  regionId: "hangzhou"
  instanceId: "MQ_INST_1389288909295870_BYSoMttI"
  topic: "notify"
  groupId: "GID_voucher"
  tag: "voucher_notify_dev"
  isOpenConsumer: true #是否启动消费 true/false
  registerTagUrl: "https://wpcallbacks.api.1688sup.com/wechatPay/register_tag"

wechat:
  mchID: "1710953361" # 证书所属商户 蓝色兄弟服务商立减金配置
  mchCertificateSerialNumber: "6006B8208815DB5EAC5BF2E783CB9D34082C3772" #商户证书序列号
  wechatPayPublicKeyID: "PUB_KEY_ID_0117109533612025031800326400002563" #微信支付公钥ID

cmb:
  sm2Prk: "8d39ff3d2559258c163f4510f082727f51531e1953ab203d5ab1ea4a6d94fd73"
  sm2Puk: "04d827a7dbaaa358ce45b8c7794a7f54819f5c175005a702370e47f135ef6f5f9732758b1474f218419fe9e87f90c28c3b05f08254c651db27df35fae67b77b2e4" # 公钥，给到招行密钥
  # cmbSm2Pik: "" # 招行私钥mock使用，生产不会有该值
  # cmbSm2Puk: "0416445bc16cbf42e47002ad9fe7c7af67d902b48be1eb69b98f6a006b0918630e1127f5f2fff83b2ecb30fc7fd72c34c33f37c7c355dffde3589f66800f0036ca" # 招行公钥
  cmbSm2Pik: "f6a8d2f412e289686aba6a0f33cad1a64367d0ba012046ee0fbbefd3ffd675bd" # 招行私钥mock使用，生产不会有该值
  cmbSm2Puk: "043b2fade30067b6bd8e61b42771b1e953116fc5a0f9ed6939fceb9254b8d7d6989902c913642c3c68c42a2b56364512675ea0b517dd4469e73b73c888a2f4e8e3" # 招行公钥-mock使用
  mid: "d6fdd78b6fd13a808818286b9cad9687"
  aid: "5efaa21263b94f669a1c90ed0279df20"
  keyAlias: "CO_PUB_KEY_SM2"
  cmbKeyAlias: "SM2_CMBLIFE"
  orgNo: "LANSEXIONGDI" # 发码机构号，固定值，掌上生活优惠券系统提供
  notifyUrl: "https://sandbox.cdcc.cmbchina.com/AccessGateway/transIn/updateCodeStatus.json" # 招行测试回调地址
  noticeStartDays: 7
  noticeEndDays: 1

#告警配置
alarm:
  webhookURL: "https://oapi.dingtalk.com/robot/send?access_token=5f10c2213cbf8168985cb2d061ebb1a5f70bd1dd47ec7cef58fa6fe545d52588"
  secret: "SEC77b63d70a9e22317144e712b4538ce1e0013db885c65f7f9bae283e8958b39eb"
  isAll: false
  atMobiles:
    - "18666173766"

cron:
  isOpen: true #是否启动,控制全局
  commandMap:
    orderNotice:
      isOpen: true #是否启动 true/false
      command: "0 0 1 * * ?" # 每天凌晨1点执行一次

rdsMQ:
  wechatQuery: #发放结算
    name: "wechatQuery"
    retryNum: 1 #重试次数
    numWorkers: 1 #协程数量，不配置默认为10
    waitTime: 1s #处理完成后等待时间
    isOpen: true #是否启动消费 true/false
  wechatTimeSliceQuery:
    name: "wechatTimeSliceQuery"
    retryNum: 1 #重试次数
    numWorkers: 3 #协程数量，不配置默认为10
    waitTime: 1s #处理完成后等待时间
    isOpen: true #是否启动消费 true/false
#配置日志
logs:
  business: business.log #业务日志路径：如果不写日志，则不配置或配置为空
  access: access.log #访问日志路径：如果不写日志，则不配置或配置为空